Package: groovy.org.codenarc.rule.basic

## [Groovy] Class AssignmentInConditionalAstVisitor

- groovy.org.codenarc.rule.basic.AssignmentInConditionalAstVisitor

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `visitIfElse(org.codehaus.groovy.ast.stmt.IfStatement node)`
    `` | `void` | `visitShortTernaryExpression(org.codehaus.groovy.ast.expr.ElvisOperatorExpression node)`
    `` | `void` | `visitTernaryExpression(org.codehaus.groovy.ast.expr.TernaryExpression node)`
    `` | `void` | `visitWhileLoop(org.codehaus.groovy.ast.stmt.WhileStatement node)`

- - ### Method Detail

    - #### @Override void visitIfElse(org.codehaus.groovy.ast.stmt.IfStatement node)

    - #### @Override void visitShortTernaryExpression(org.codehaus.groovy.ast.expr.ElvisOperatorExpression node)

    - #### @Override void visitTernaryExpression(org.codehaus.groovy.ast.expr.TernaryExpression node)

    - #### @Override void visitWhileLoop(org.codehaus.groovy.ast.stmt.WhileStatement node)